import { dayjs } from '@zeedhi/core';
import { TekLibLocalStorage } from '../Helpers/TekLibLocalStorage';

export class Util {
  public static doAsync(callBack: any, time: number) {
    return setTimeout(() => {
      callBack();
    }, time);
  }

  public static isNext(): boolean {
    return TekLibLocalStorage.getItem('IS_NEXT');
  }

  public static isProduct(): boolean {
    return window.parent === window;
  }

  public static changeDayjsLocale(locale: string) {
    if (locale === 'pt-BR') dayjs.locale('pt-br');
    else if (locale === 'es-CL') dayjs.locale('es');
    else dayjs.locale('en');
  }

  public static getUrlParameter(name: string) {
    const searchString = window.location.search.substring(1);
    const variableArray = searchString.split('&');
    const results = [];
    for (let i = 0; i < variableArray.length; i++) {
      const keyValuePair = variableArray[i].split('=');
      if (keyValuePair[0] === name) {
        results.push(decodeURIComponent(keyValuePair[1]).replace('+', ' '));
      }
    }
    if (results.length) {
      return results[0];
    }
    return '';
  }
}
